| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
StatEntity.cpp File Reference

Implementation file for class StatEntity. More...

`#include <iostream>`
`#include <sstream>`
`#include <string>`
`#include <cmath>`
`#include <limits>`
`#include "GaudiKernel/StatEntity.h"`
`#include "boost/format.hpp"`
`#include "boost/static_assert.hpp"`
`#include "boost/algorithm/string/case_conv.hpp"`
Include dependency graph for StatEntity.cpp:

Go to the source code of this file.

## Macros
#define | GAUDIKERNEL_STATENTITY_CPP 1

## Functions
StatEntity | operator+ (const StatEntity &entity, const double value)
| external operator for addition of StatEntity and a number More...
StatEntity | operator+ (const double value, const StatEntity &entity)
| external operator for addition of StatEntity and a number More...
StatEntity | operator- (const StatEntity &entity, const double value)
| external operator for subtraction of StatEntity and a number More...
StatEntity | operator+ (const StatEntity &entity, const StatEntity &value)
| external operator for addition of StatEntity and a number More...
std::ostream & | operator<< (std::ostream &stream, const StatEntity &entity)
| external printout operator to std::ostream More...

## Detailed Description

Implementation file for class StatEntity.

Date
  26/06/2001

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Definition in file StatEntity.cpp.

## Macro Definition Documentation

#define GAUDIKERNEL_STATENTITY_CPP 1

Definition at line 2 of file StatEntity.cpp.

## Function Documentation

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const double | value
| ) |  |

external operator for addition of StatEntity and a number

Definition at line 244 of file StatEntity.cpp.

245 { StatEntity aux ( entity ) ; return aux+=value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:64

StatEntity operator+ | ( | const double | value,
|  | const StatEntity & | entity
| ) |  |

external operator for addition of StatEntity and a number

Definition at line 249 of file StatEntity.cpp.

250 { return entity + value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12

StatEntity operator+ | ( | const StatEntity & | entity,
|  | const StatEntity & | value
| ) |  |

external operator for addition of StatEntity and a number

Definition at line 259 of file StatEntity.cpp.

260 { StatEntity aux ( entity ) ; return aux+=value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:64

StatEntity operator- | ( | const StatEntity & | entity,
|  | const double | value
| ) |  |

external operator for subtraction of StatEntity and a number

Definition at line 254 of file StatEntity.cpp.

255 { StatEntity aux ( entity ) ; return aux-=value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
StatEntity
The basic counter used for Monitoring purposes.
Definition: StatEntity.h:64

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const StatEntity & | entity
| ) |  |

external printout operator to std::ostream

Definition at line 264 of file StatEntity.cpp.

265 { return entity.print ( stream ) ; }
StatEntity::print
std::ostream & print(std::ostream &o=std::cout) const
printout to std::ostream
Definition: StatEntity.cpp:233